### Method

# WebKit2WebExtension DOMElement set_attribute_node_ns

#### Declaration [src]

    WebKitDOMAttr*
    webkit_dom_element_set_attribute_node_ns (
      WebKitDOMElement* self,
      WebKitDOMAttr* newAttr,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`newAttr` | `WebKitDOMAttr`
| A `WebKitDOMAttr`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `WebKitDOMAttr`
| A `WebKitDOMAttr`.
| The data is owned by the instance.